---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
  creationTimestamp: "2020-05-26T14:24:05Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:app: {}
    manager: cluster-version-operator
    operation: Update
    time: "2020-05-26T14:24:05Z"
  name: insights-operator
  namespace: openshift-insights
  resourceVersion: "13013"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-insights/servicemonitors/insights-operator
  uid: e9fce1c4-c58c-4bc7-9b9b-00a405cf9fe5
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    metricRelabelings:
    - action: drop
      regex: etcd_(debugging|disk|request|server).*
      sourceLabels:
      - __name__
    port: https
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: metrics.openshift-insights.svc
  jobLabel: component
  namespaceSelector:
    matchNames:
    - openshift-insights
  selector:
    matchLabels:
      app: insights-operator
